Puntuado con 4 de 5 estrellas

plz add compatibility with ff 3.5